# Uses of Class
org.eclipse.swt.dnd.DragSourceEvent

Packages that use DragSourceEvent
Package
Description
org.eclipse.jface.util
Provides useful building blocks used throughout JFace, including property change events, a listener list implementation, and runtime checked assertions.
org.eclipse.swt.dnd
SWT Drag and Drop support.
org.eclipse.ui.navigator
Provides the Common Navigator framework.
org.eclipse.ui.navigator.resources
Provides reusable components for clients that need to expand on the capabilities provided by the reference Common Navigator Resources extension.

## Uses of DragSourceEvent in org.eclipse.jface.util

Methods in org.eclipse.jface.util with parameters of type DragSourceEvent
Modifier and Type
Method
Description
`void`
DelegatingDragAdapter.`dragFinished(DragSourceEvent event)`
The drop has successfully completed.
`void`
DelegatingDragAdapter.`dragSetData(DragSourceEvent event)`
The drop data is requested.
`void`
DelegatingDragAdapter.`dragStart(DragSourceEvent event)`
A drag operation has started.

## Uses of DragSourceEvent in org.eclipse.swt.dnd

Methods in org.eclipse.swt.dnd with parameters of type DragSourceEvent
Modifier and Type
Method
Description
`void`
DragSourceAdapter.`dragFinished(DragSourceEvent event)`
This implementation of `dragFinished` does nothing.
`void`
DragSourceListener.`dragFinished(DragSourceEvent event)`
The drop has successfully completed(mouse up over a valid target) or has been terminated (such as hitting the ESC key).
`void`
TableDragSourceEffect.`dragFinished(DragSourceEvent event)`
This implementation of `dragFinished` disposes the image that was created in `TableDragSourceEffect.dragStart`.
`void`
TreeDragSourceEffect.`dragFinished(DragSourceEvent event)`
This implementation of `dragFinished` disposes the image that was created in `TreeDragSourceEffect.dragStart`.
`void`
DragSourceAdapter.`dragSetData(DragSourceEvent event)`
This implementation of `dragSetData` does nothing.
`void`
DragSourceListener.`dragSetData(DragSourceEvent event)`
The data is required from the drag source.
`void`
DragSourceAdapter.`dragStart(DragSourceEvent event)`
This implementation of `dragStart` permits the drag operation to start.
`void`
DragSourceListener.`dragStart(DragSourceEvent event)`
The user has begun the actions required to drag the widget.
`void`
TableDragSourceEffect.`dragStart(DragSourceEvent event)`
This implementation of `dragStart` will create a default image that will be used during the drag.
`void`
TreeDragSourceEffect.`dragStart(DragSourceEvent event)`
This implementation of `dragStart` will create a default image that will be used during the drag.

## Uses of DragSourceEvent in org.eclipse.ui.navigator

Methods in org.eclipse.ui.navigator with parameters of type DragSourceEvent
Modifier and Type
Method
Description
`void`
CommonDragAdapter.`dragFinished(DragSourceEvent event)`
`void`
CommonDragAdapterAssistant.`dragFinished(DragSourceEvent anEvent, IStructuredSelection aSelection)`
Allows the drag assistant to do any necessary cleanup after the drop operation is done.
`void`
CommonDragAdapter.`dragSetData(DragSourceEvent event)`
`void`
CommonDragAdapter.`dragStart(DragSourceEvent event)`
`void`
CommonDragAdapterAssistant.`dragStart(DragSourceEvent anEvent, IStructuredSelection aSelection)`
Allows the drag assistant indicate it wants to participate in the drag operation.
`abstract boolean`
CommonDragAdapterAssistant.`setDragData(DragSourceEvent anEvent, IStructuredSelection aSelection)`
Set the value of the `Event.data` field using the given selection.

## Uses of DragSourceEvent in org.eclipse.ui.navigator.resources

Methods in org.eclipse.ui.navigator.resources with parameters of type DragSourceEvent
Modifier and Type
Method
Description
`boolean`
ResourceDragAdapterAssistant.`setDragData(DragSourceEvent anEvent, IStructuredSelection aSelection)`